%{!?__pear:         %{expand: %%global __pear %{_bindir}/pear}}

# Needed for openSUSE
%if 0%{?suse_version}
%{!?pear_cfgdir:    %global pear_cfgdir %(%{__pear} config-get cfg_dir  2> /dev/null || echo undefined)}
%{!?pear_datadir:   %global pear_datadir %(%{__pear} config-get data_dir 2> /dev/null || echo undefined)}
%{!?pear_docdir:    %global pear_docdir %(%{__pear} config-get doc_dir  2> /dev/null || echo undefined)}
%{!?pear_metadir:   %global pear_metadir %(%{__pear} config-get metadata_dir 2> /dev/null || echo undefined)}
%{!?pear_phpdir:    %global pear_phpdir %(%{__pear} config-get php_dir  2> /dev/null || echo undefined)}
%{!?pear_testdir:   %global pear_testdir %(%{__pear} config-get test_dir 2> /dev/null || echo undefined)}
%{!?pear_wwwdir:    %global pear_wwwdir %(%{__pear} config-get www_dir  2> /dev/null || echo undefined)}
%{!?pear_xmldir:    %global pear_xmldir %{_localstatedir}/lib/pear/pkgxml}
%endif

%global pear_name Mail_Mime

%if 0%{?suse_version}
Name:               php5-pear-Mail_Mime
%else
Name:               php-pear-Mail-Mime
%endif

Summary:            Mail_Mime provides classes to create mime messages
License:            BSD-3-Clause
Group:              Productivity/Networking/Web/Servers
Version:            1.8.7
Release:            21.3%{?dist}.kolab_3.4
BuildArch:          noarch
Url:                http://pear.php.net/package/%{pear_name}
Source:             %{pear_name}-%{version}.tgz

BuildRoot:          %{_tmppath}/%{name}-%{version}-build
BuildRequires:      php-pear

Requires(post):     %{__pear}
Requires(postun):   %{__pear}
Requires:           php-pear

Provides:           php-pear(%{pear_name}) = %{version}-%{release}

%description
Mail_Mime provides classes to deal with the creation and manipulation of mime messages.
It allows people to create Email messages consisting of:
* Text Parts
* HTML Parts
* Inline HTML Images
* Attachments
* Attached messages

Starting with version 1.4.0, it also allows non US-ASCII chars in filenames,
 subjects, recipients, etc, etc.

%prep
%setup -q -c

cd %{pear_name}-%{version}
# package.xml is V2
mv ../package.xml %{name}.xml

%build

%install
rm -rf %{buildroot}
cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot %{buildroot} %{name}.xml

# Clean up unnecessary files
rm -rf %{buildroot}%{pear_phpdir}/.??*

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
install -pm 644 %{name}.xml %{buildroot}%{pear_xmldir}

%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        pear.php.net/%{pear_name} >/dev/null || :
fi

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root)
%doc %{pear_docdir}/%{pear_name}
%if 0%{?suse_version}
%dir %{pear_xmldir}
%endif
%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/Mail
%{pear_testdir}/%{pear_name}

%changelog
* Fri Feb  1 2013 aj@ajaissle.de
- New upstram version 1.8.7
- Changelog 1.8.7
  * Bug #5333: Fix more return by reference errors [alec]
  * Bug #19754: Fix compatibility with PHP4 [alec]
- Changelog 1.8.6
  * Bug #19473: PEAR::isError() compatibility problem with PHP 5.4 [alec]
  * Bug #19497: Attachment filename is cut on slash character [alec]
  * Bug #19665: Add Mail-Reply-To and Mail-Followup-To to structured recipient headers list [alec]
- Changelog 1.8.5
  * Added possibility to set additional parameters of message part header, e.g. attachment size [alec]
  * Added automatic setting of attachment size via Content-Disposition header size parameter [alec]
- Changelog 1.8.4
  * Request #19406: Allow to set individual attachment part headers
    [alec]
  * Fixed Bug #18982: Non-static method Mail
    mimePart::encodeHeader() should not be called statically [alec]
- Changelog 1.8.3
  * Request #19009: Remove error_reporting from tests [alec]
  * Fixed Bug #19094: Email addresses do not have to contain a
    space between the name and address part [alec]
  * Fixed Bug #19328: Wrong encoding of filenames with comma [alec]
- Changelog 1.8.2
  * #18426: Fixed backward compatibility for "dfilename" parameter
    [alec]
  * Removed xmail.dtd, xmail.xsl from the package [alec]
  * Fixed handling of email addresses with quoted local part [alec]
* Thu Jan 12 2012 coolo@suse.com
- change license to be in spdx.org format
* Thu Jan 20 2011 chris@computersalat.de
- change to php_pear_gen_filelist macro
* Wed Jan 19 2011 chris@computersalat.de
- pkg rename php5-pear-Mail_Mime
- merge with php-pear-mail_mime, php5-pear-mail_mime
- update to 1.8.1
  * #18083: Not possible to set separate charset for attachment content
    and headers [alec]
- 1.8.0
  Bugs Fixed:
  * Double-addition of e-mail domain to content ID in HTML images [alec]
  * #17311: Multi-octet characters are split across adjacent
    'encoded-word's [alec]
  * #17573: Place charset parameter in first line of Content-Type header
    (if possible) [alec]
  Implemented Features:
  * #17518: addTo() method [alec]
- added php-macros
- cleanup spec
* Sat May 30 2009 chris@computersalat.de
- fixed post script
* Thu May 21 2009 chris@computersalat.de
- new version 1.5.2
- beautify spec
  o new spec header
  o package rename due to package convention
  o removed php4 stuff, deps
  o added Provides and Obsoletes for old package names.
    This should not break deps
- added stuff to automatically create correct filelist
  o tested against Factory (1120)
  o opensuse >= 1100 complains about
    "directory not owned by package"
- some rpmlint stuff
* Tue Dec 23 2008 rbos@opensuse.org
- Changed the pear install command, use package.xml instead of the tarbal
* Sat Jun 17 2006 suse-tux@gmx.de
- made spec file portable for older/new suse-versions
- removed #usedforbuild, added %%%%clean-macro
- added rpmmacros (changed "mv" to "%%%%__mv" etc.)
- removed Packager-tag :)
* Sun Jun 11 2006 suse-tux@gmx.de
- built for 10.0 because it's missing there
- added Packager-tag
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 19 2006 mmarek@suse.de
- fix filelist, remove temporary files created by pear installer
- unify php5-pear-*.spec files
- increase php's memory_limit during installation (parsing
  xml needs more than default 8M sometimes)
* Mon Jan 16 2006 mmarek@suse.cz
- created package to satisfy horde dependencies
